com.atid.lib.types

## Enum DeviceType

- java.lang.Object
- - java.lang.Enum<DeviceType>
  - - com.atid.lib.types.DeviceType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<DeviceType>

      public enum DeviceType
      extends java.lang.Enum<DeviceType>
      implements IEnumType

  The DeviceType enumeration represents the type of device associated with the SDK.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASR250G`
    `AT188`
    `AT188N`
    `AT188NP`
    `AT288`
    `AT288N`
    `AT288NS`
    `AT311`
    `AT312`
    `AT388`
    `AT511`
    `AT870A`
    `AT911`
    `AT911_HILTI_EU`
    `AT911_HILTI_US`
    `AT911N`
    `AT911N_HILTI_EU`
    `AT911N_HILTI_US`
    `ATD100`
    `ATS100`
    `ATS200`
    `RFBlaster`
    `RFPrisma`
    `Unknown`
    `XCRF1003`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static DeviceType` | `valueOf(int code)`
    `static DeviceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DeviceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final DeviceType Unknown

    - #### AT911

          public static final DeviceType AT911

    - #### AT911N

          public static final DeviceType AT911N

    - #### AT511

          public static final DeviceType AT511

    - #### AT311

          public static final DeviceType AT311

    - #### AT312

          public static final DeviceType AT312

    - #### AT911_HILTI_US

          public static final DeviceType AT911_HILTI_US

    - #### AT911_HILTI_EU

          public static final DeviceType AT911_HILTI_EU

    - #### XCRF1003

          public static final DeviceType XCRF1003

    - #### AT911N_HILTI_US

          public static final DeviceType AT911N_HILTI_US

    - #### AT911N_HILTI_EU

          public static final DeviceType AT911N_HILTI_EU

    - #### AT870A

          public static final DeviceType AT870A

    - #### AT288

          public static final DeviceType AT288

    - #### AT188

          public static final DeviceType AT188

    - #### RFBlaster

          public static final DeviceType RFBlaster

    - #### RFPrisma

          public static final DeviceType RFPrisma

    - #### AT288N

          public static final DeviceType AT288N

    - #### AT188N

          public static final DeviceType AT188N

    - #### AT388

          public static final DeviceType AT388

    - #### ATS100

          public static final DeviceType ATS100

    - #### ASR250G

          public static final DeviceType ASR250G

    - #### ATD100

          public static final DeviceType ATD100

    - #### AT288NS

          public static final DeviceType AT288NS

    - #### ATS200

          public static final DeviceType ATS200

    - #### AT188NP

          public static final DeviceType AT188NP

  - ### Method Detail

    - #### values

          public static DeviceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeviceType c : DeviceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeviceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<DeviceType>`

    - #### valueOf

          public static DeviceType valueOf(int code)